package com.altinity.opsview.odw.dao;

/**
 * Copyright (C) 2008 Opsera Limited. All rights reserved
 *
 * This file is part of Opsview
 * 
 * Opsview is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * Opsview is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Opsview; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 * 
 */

import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Types;

import javax.sql.DataSource;

import org.springframework.jdbc.core.SqlParameter;
import org.springframework.jdbc.object.MappingSqlQuery;

import com.altinity.opsview.odw.model.PerformanceData;

public class PerformanceDataMappingQuery extends MappingSqlQuery {
	
	/**
	 * 
	 */
	public PerformanceDataMappingQuery(DataSource dataSource) {
		
		super(dataSource, QueryBuilder.getQueryForPerformanceData());
		super.declareParameter(new SqlParameter("hosts.name", Types.VARCHAR));
		super.declareParameter(new SqlParameter("servicechecks.name", Types.VARCHAR));
		super.declareParameter(new SqlParameter("performance_labels.name", Types.VARCHAR));
		super.declareParameter(new SqlParameter("date", Types.DATE));
		super.declareParameter(new SqlParameter("date", Types.DATE));
	}

	/**
	 * 
	 */
	@Override
	protected PerformanceData mapRow(ResultSet resultSet, int rowNumber) throws SQLException {
		PerformanceData perfData = new PerformanceData();
		perfData.setDate(resultSet.getTimestamp("date").getTime());
		perfData.setValue(resultSet.getDouble("value"));
		return perfData;
	}

}
