package com.altinity.opsview.odw.model;

/**
 * Copyright (C) 2008 Opsera Limited. All rights reserved
 *
 * This file is part of Opsview
 * 
 * Opsview is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * Opsview is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Opsview; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 * 
 */

import com.altinity.opsview.odw.bc.ODWReportBC;

public class HourSummary {
	
	private int secondsOK;
	private int secondsWarning;
	private int secondsUnknown;
	private int secondsCritical;
	
	/**
	 * 
	 */
	public int getSecondsCritical() {
		return secondsCritical;
	}

	/**
	 * 
	 */
	public void setSecondsCritical(int secondsCritical) {
		this.secondsCritical = secondsCritical;
	}
	
	/**
	 * 
	 */
	public int getSecondsOK() {
		return secondsOK;
	}

	/**
	 * 
	 */
	public void setSecondsOK(int secondsOK) {
		this.secondsOK = secondsOK;
	}

	/**
	 * 
	 */
	public int getSecondsUnknown() {
		return secondsUnknown;
	}

	/**
	 * 
	 */
	public void setSecondsUnknown(int secondsUnknown) {
		this.secondsUnknown = secondsUnknown;
	}

	/**
	 * 
	 */
	public int getSecondsWarning() {
		return secondsWarning;
	}

	/**
	 * 
	 */
	public void setSecondsWarning(int secondsWarning) {
		this.secondsWarning = secondsWarning;
	}
	
	/**
	 * 
	 */
	public String getStatus() {
		
		if ( secondsOK == 3600 )
			return ODWReportBC.STATUS_OK;
		else if  ( secondsWarning == 3600 )
			return ODWReportBC.STATUS_WARNING;
		else if  ( secondsUnknown == 3600 )
			return ODWReportBC.STATUS_UNKNOWN;
		else if  ( secondsCritical == 3600 )
			return ODWReportBC.STATUS_CRITICAL;		
		else throw new RuntimeException("Unknown status in HourSummary.getStatus");
		
	}
}
