package com.excira.jfreechart;

/**
 * Copyright (C) 2008 Opsera Limited. All rights reserved
 *
 * This file is part of Opsview
 * 
 * Opsview is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * Opsview is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Opsview; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 * 
 */

import java.util.Date;
import java.util.Iterator;
import java.util.List;

import org.jfree.chart.JFreeChart;
import org.jfree.chart.axis.NumberAxis;
import org.jfree.data.time.Day;
import org.jfree.data.time.TimeSeries;

public class WeekChart extends TimeSeriesChart {

	/**
	 * 
	 */
	protected TimeSeries getTimeSeries(String seriesName) {
		return new TimeSeries(seriesName, Day.class);
	}

	/**
	 * 
	 */
	protected Object getX(XYPoint point) {
		return new Day((Date)point.getX());
	}
	
	/**
	 * 
	 */
	protected void setRangeAxis(NumberAxis axis, List xyPoints) {
		
		axis.setAutoRange(false);
		
		if ( xyPoints.isEmpty() ) {
			axis.setRange(0, 100);
			return;
		}
		
		// Get the min and max for range
		// Set initial min and max to be value
		// of first xyPoint
		double min = ((XYPoint)xyPoints.get(0)).getY();
		double max = ((XYPoint)xyPoints.get(0)).getY();
		
		Iterator i = xyPoints.iterator();
		while ( i.hasNext() ) {
			
			XYPoint xyPoint = (XYPoint)i.next();
			double y = xyPoint.getY();

			if ( min > y )
				min = y;
			
			if ( max < y )
				max = y;	
		}
		
		axis.setRange(min, 100);
	}
	
	/**
	 * 
	 */
	protected void updateLegend(JFreeChart chart) {
		
		chart.removeLegend();
	}
}
